//========================================================================
//$Id: Buffers.java,v 1.1 2005/10/05 14:09:25 janb Exp $
//Copyright 2004-2005 Mort Bay Consulting Pty. Ltd.
//------------------------------------------------------------------------
//Licensed under the Apache License, Version 2.0 (the "License");
//you may not use this file except in compliance with the License.
//You may obtain a copy of the License at
//http://www.apache.org/licenses/LICENSE-2.0
//Unless required by applicable law or agreed to in writing, software
//distributed under the License is distributed on an "AS IS" BASIS,
//WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//See the License for the specific language governing permissions and
//limitations under the License.
//========================================================================


package org.mortbay.jetty.plugin.deb;

import java.io.File;
import java.util.List;
import java.util.Iterator;

/**
 * @author Leopoldo Lee Agdeppa III
 */

public class FileMapping
{

    private File source;
    private String destination;
    private boolean recurseDir;
    private List excludes;
    private List includes;


    public File getSource()
    {
        return source;
    }

    public void setSource(File source)
    {
        this.source = source;
    }

    public String getDestination()
    {
        return destination;
    }

    public void setDestination(String destination)
    {
        this.destination = destination;
    }

    public boolean isRecurseDir()
    {
        return recurseDir;
    }

    public void setRecurseDir(boolean recurseDir)
    {
        this.recurseDir = recurseDir;
    }

    public List getExcludes()
    {
        return excludes;
    }

    public void setExcludes(List excludes)
    {
        this.excludes = excludes;
    }

    public List getIncludes()
    {
        return includes;
    }

    public void setIncludes(List includes)
    {
        this.includes = includes;
    }

    public String[] getExcludesArray()
    {

        if (excludes == null)
            return null;

        String str[] = new String[excludes.size()];
        Iterator iterator = excludes.iterator();
        for (int i = 0; iterator.hasNext(); i++)
        {
            str[i] = iterator.next().toString();

        }


        return str;


    }


    public String[] getIncludesArray()
    {
        if (includes == null)
            return null;

        String str[] = new String[includes.size()];
        Iterator iterator = includes.iterator();
        for (int i = 0; iterator.hasNext(); i++)
        {
            str[i] = iterator.next().toString();

        }


        return str;


    }


    public String getExcludeStr()
    {
        if (excludes == null)
            return null;


        StringBuffer sb = new StringBuffer();
        Iterator iterator = excludes.iterator();
        for (int i = 0; iterator.hasNext(); i++)
        {
            if (i > 0)
            {
                sb.append(",");
            }
            sb.append(iterator.next());

        }

        return sb.toString();
    }

    public String getIncludeStr()
    {
        if (includes == null)
            return null;

        StringBuffer sb = new StringBuffer();
        Iterator iterator = includes.iterator();
        for (int i = 0; iterator.hasNext(); i++)
        {
            if (i > 0)
            {
                sb.append(",");
            }
            sb.append(iterator.next());

        }

        return sb.toString();
    }


    public String toString()
    {
        return "\n\nFile-Mapping: " +
                "\nSource:" + source.getAbsolutePath() +
                "\nInstall-Destination:" + destination;
    }

}
